VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Orbits"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
' Copyright (C) 2003  Alex K. Angelopoulos, aka@mvps.org
'
' This library is free software; you can redistribute it and/or
' modify it under the terms of the GNU Lesser General Public
' License as published by the Free Software Foundation; either
' version 2.1 of the License, or (at your option) any later version.
'
' This library is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
' Lesser General Public License for more details.
'
' You should have received a copy of the GNU Lesser General Public
' License along with this library; if not, write to the
' Free Software Foundation, Inc.
' 59 Temple Place, Suite 330
' Boston, MA  02111-1307  USA
'

Option Explicit

Dim g As Double ' Universal Gravitational Constant
Dim Pi As Double ' the one and only Pi

Function HohmanTransferVelocity(ByVal startOrbit As Double, _
      ByVal endOrbit As Double, ByVal centralMass As Double) As Double
  HohmanTransferVelocity = _
      Sqr(2 * g * centralMass * endOrbit / _
      (startOrbit * (startOrbit + endOrbit)))
End Function

Function circularOrbitalVelocity(ByVal orbitalRadius As Double, _
      ByVal centralMass As Double) As Double
  circularOrbitalVelocity = Sqr(g * centralMass / _
      orbitalRadius)
End Function

Function orbitalPeriod(ByVal semimajorAxis As Double, _
      ByVal centralMass As Double) As Double
  orbitalPeriod = Sqr(4 * Pi ^ 2 * semimajorAxis ^ 3 / _
      (g * centralMass))
End Function

Function angularRate(ByVal semimajorAxis As Double, _
      ByVal centralMass As Double) As Double
  angularRate = 2 * Pi / orbitalPeriod(semimajorAxis, centralMass)
End Function


Private Sub Class_Initialize()
  Dim sc As Constants
  Set sc = New Constants
  g = sc.gravitationalConstant
  Pi = sc.Pi
End Sub

Public Function About() As String
  About = copyright
End Function
