VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "GslMachineConstants"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
' Copyright (C) 2003  Alex K. Angelopoulos, aka@mvps.org
'
' This library is free software; you can redistribute it and/or
' modify it under the terms of the GNU Lesser General Public
' License as published by the Free Software Foundation; either
' version 2.1 of the License, or (at your option) any later version.
'
' This library is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
' Lesser General Public License for more details.
'
' You should have received a copy of the GNU Lesser General Public
' License along with this library; if not, write to the
' Free Software Foundation, Inc.
' 59 Temple Place, Suite 330
' Boston, MA  02111-1307  USA
'


Option Explicit

' GSL Machine Precision constants


Public Property Get dbl_epsilon() As Double
  dbl_epsilon = 2.22044604925031E-16
End Property


Public Property Get dbl_max()
Attribute dbl_max.VB_Description = "This will normally overflow, unfortunately.  It  is the gsl_dbl_max value, preserved for completeness."
  dbl_max = (1.79769313486232E+307 * 10)
End Property


Public Property Get dbl_min() As Double
  dbl_min = 2.2250738585072E-308
End Property


Public Property Get flt_epsilon() As Double
  flt_epsilon = 1.19209289550781E-07
End Property


Public Property Get flt_max() As Double
  flt_max = 3.40282346638529E+38
End Property


Public Property Get flt_min() As Double
  flt_min = 1.17549435082229E-38
End Property


Public Property Get log_dbl_epsilon() As Double
  log_dbl_epsilon = -36.0436533891172
End Property


Public Property Get log_dbl_max() As Double
  log_dbl_max = 709.782712893384
End Property


Public Property Get log_dbl_min() As Double
  log_dbl_min = -708.396418532264
End Property


Public Property Get log_flt_epsilon() As Double
  log_flt_epsilon = -15.9423851528787
End Property


Public Property Get log_flt_max() As Double
  log_flt_max = 88.7228390520684
End Property


Public Property Get log_flt_min() As Double
  log_flt_min = -87.3365447505531
End Property


Public Property Get log_mach_eps() As Double
  log_mach_eps = -34.54
End Property


Public Property Get log_sflt_epsilon() As Double
  log_sflt_epsilon = -7.6246189861594
End Property


Public Property Get mach_eps() As Double
  mach_eps = dbl_epsilon
End Property


Public Property Get root3_dbl_epsilon() As Double
  root3_dbl_epsilon = 6.05545445239334E-06
End Property


Public Property Get root3_dbl_max() As Double
  root3_dbl_max = 5.64380309412229E+102
End Property


Public Property Get root3_dbl_min() As Double
  root3_dbl_min = 2.8126442852363E-103
End Property


Public Property Get root3_flt_epsilon() As Double
  root3_flt_epsilon = 4.92156660115185E-03
End Property


Public Property Get root3_flt_max() As Double
  root3_flt_max = 6981463519622.32
End Property


Public Property Get root3_flt_min() As Double
  root3_flt_min = 2.27373675443232E-13
End Property


Public Property Get root3_mach_eps() As Double
  root3_mach_eps = 0.00001
End Property


Public Property Get root3_sflt_epsilon() As Double
  root3_sflt_epsilon = 7.87450656184296E-02
End Property


Public Property Get root4_dbl_epsilon() As Double
  root4_dbl_epsilon = 0.0001220703125
End Property


Public Property Get root4_dbl_max() As Double
  root4_dbl_max = 1.15792089237316E+77
End Property


Public Property Get root4_dbl_min() As Double
  root4_dbl_min = 1.22133866975546E-77
End Property


Public Property Get root4_flt_epsilon() As Double
  root4_flt_epsilon = 1.85813611719175E-02
End Property


Public Property Get root4_flt_max() As Double
  root4_flt_max = 4294967232#
End Property


Public Property Get root4_flt_min() As Double
  root4_flt_min = 3.2927225399136E-10
End Property


Public Property Get root4_mach_eps() As Double
  root4_mach_eps = 0.000178
End Property


Public Property Get root4_sflt_epsilon() As Double
  root4_sflt_epsilon = 0.14865088937534
End Property


Public Property Get root5_dbl_epsilon() As Double
  root5_dbl_epsilon = 7.40095979741405E-04
End Property


Public Property Get root5_dbl_max() As Double
  root5_dbl_max = 4.47654662275727E+61
End Property


Public Property Get root5_dbl_min() As Double
  root5_dbl_min = 2.94760229696918E-62
End Property


Public Property Get root5_flt_epsilon() As Double
  root5_flt_epsilon = 4.12346222116529E-02
End Property


Public Property Get root5_flt_max() As Double
  root5_flt_max = 50859007.85596
End Property


Public Property Get root5_flt_min() As Double
  root5_flt_min = 2.59444285421408E-08
End Property


Public Property Get root5_mach_eps() As Double
  root5_mach_eps = 0.001
End Property


Public Property Get root5_sflt_epsilon() As Double
  root5_sflt_epsilon = 0.217637640824031
End Property


Public Property Get root6_dbl_epsilon() As Double
  root6_dbl_epsilon = 2.46078330057593E-03
End Property


Public Property Get root6_dbl_max() As Double
  root6_dbl_max = 2.37566897822956E+51
End Property


Public Property Get root6_dbl_min() As Double
  root6_dbl_min = 5.30343689057982E-52
End Property


Public Property Get root6_flt_epsilon() As Double
  root6_flt_epsilon = 7.01538780193358E-02
End Property


Public Property Get root6_flt_max() As Double
  root6_flt_max = 2642245.92338077
End Property


Public Property Get root6_flt_min() As Double
  root6_flt_min = 4.76837158203125E-07
End Property


Public Property Get root6_mach_eps() As Double
  root6_mach_eps = 0.00316
End Property


Public Property Get root6_sflt_epsilon() As Double
  root6_sflt_epsilon = 0.280615512077343
End Property


Public Property Get sflt_epsilon() As Double
  sflt_epsilon = 0.00048828125
End Property


Public Property Get sqrt_dbl_epsilon() As Double
  sqrt_dbl_epsilon = 1.49011611938477E-08
End Property


Public Property Get sqrt_dbl_max() As Double
  sqrt_dbl_max = 1.34078079299426E+154
End Property


Public Property Get sqrt_dbl_min() As Double
  sqrt_dbl_min = 1.49166814624004E-154
End Property


Public Property Get sqrt_flt_epsilon() As Double
  sqrt_flt_epsilon = 3.45266983001244E-04
End Property


Public Property Get sqrt_flt_max() As Double
  sqrt_flt_max = 1.84467435239537E+19
End Property


Public Property Get sqrt_flt_min() As Double
  sqrt_flt_min = 1.0842021724855E-19
End Property


Public Property Get sqrt_mach_eps() As Double
  sqrt_mach_eps = 0.000000032
End Property


Public Property Get sqrt_sflt_epsilon() As Double
  sqrt_sflt_epsilon = 2.20970869120796E-02
End Property
