VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "MksConstants"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
' Copyright (C) 2003  Alex K. Angelopoulos, aka@mvps.org
'
' This library is free software; you can redistribute it and/or
' modify it under the terms of the GNU Lesser General Public
' License as published by the Free Software Foundation; either
' version 2.1 of the License, or (at your option) any later version.
'
' This library is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
' Lesser General Public License for more details.
'
' You should have received a copy of the GNU Lesser General Public
' License along with this library; if not, write to the
' Free Software Foundation, Inc.
' 59 Temple Place, Suite 330
' Boston, MA  02111-1307  USA
'


Option Explicit

Public Property Get mks_acre() As Double
  mks_acre = 4046.85642241   ' m^2
End Property


Public Property Get mks_angstrom() As Double
  mks_angstrom = 0.0000000001 ' m
End Property


Public Property Get mks_astronomical_unit() As Double
  mks_astronomical_unit = 149597870691#    ' m
End Property


Public Property Get mks_bar() As Double
  mks_bar = 100000# ' kg / m s^2
End Property


Public Property Get mks_barn() As Double
  mks_barn = 1E-28 ' m^2
End Property


Public Property Get mks_bohr_magneton() As Double
  mks_bohr_magneton = 9.27400899E-24 ' a m^2
End Property


Public Property Get mks_bohr_radius() As Double
  mks_bohr_radius = 5.291772083E-11 ' m
End Property


Public Property Get mks_boltzmann() As Double
  mks_boltzmann = 1.3806503E-23 ' kg m^2 / k s^2
End Property


Public Property Get mks_btu() As Double
  mks_btu = 1055.05585262   ' kg m^2 / s^2
End Property


Public Property Get mks_calorie() As Double
  mks_calorie = 4.1868   ' kg m^2 / s^2
End Property


Public Property Get mks_canadian_gallon() As Double
  mks_canadian_gallon = 0.00454609 ' m^3
End Property


Public Property Get mks_carat() As Double
  mks_carat = 0.0002 ' kg
End Property


Public Property Get mks_cup() As Double
  mks_cup = 0.000236588236501 ' m^3
End Property


Public Property Get mks_curie() As Double
  mks_curie = 37000000000# ' 1 / s
End Property


Public Property Get mks_day() As Double
  mks_day = 86400# ' s
End Property


Public Property Get mks_dyne() As Double
  mks_dyne = 0.00001 ' kg m / s^2
End Property


Public Property Get mks_electron_charge() As Double
  mks_electron_charge = 1.602176462E-19 ' a s
End Property


Public Property Get mks_electron_magnetic_moment() As Double
  mks_electron_magnetic_moment = 9.28476362E-24 ' a m^2
End Property


Public Property Get mks_electron_volt() As Double
  mks_electron_volt = 1.602176462E-19 ' kg m^2 / s^2
End Property


Public Property Get mks_erg() As Double
  mks_erg = 0.0000001 ' kg m^2 / s^2
End Property


Public Property Get mks_faraday() As Double
  mks_faraday = 96485.341472   ' a s / mol
End Property


Public Property Get mks_fathom() As Double
  mks_fathom = 1.8288   ' m
End Property


Public Property Get mks_fluid_ounce() As Double
  mks_fluid_ounce = 2.95735295626E-05 ' m^3
End Property


Public Property Get mks_foot() As Double
  mks_foot = 0.3048   ' m
End Property


Public Property Get mks_footcandle() As Double
  mks_footcandle = 10.76   ' cd sr / m^2
End Property


Public Property Get mks_footlambert() As Double
  mks_footlambert = 10.7639104   ' cd sr / m^2
End Property


Public Property Get mks_gauss() As Double
  mks_gauss = 0.0001 ' kg / a s^2
End Property


Public Property Get mks_gram_force() As Double
  mks_gram_force = 0.00980665 ' kg m / s^2
End Property


Public Property Get mks_grav_accel() As Double
  mks_grav_accel = 9.80665   ' m / s^2
End Property


Public Property Get mks_gravitational_constant() As Double
  mks_gravitational_constant = 0.00000000006673 ' m^3 / kg s^2
End Property


Public Property Get mks_hectare() As Double
  mks_hectare = 10000# ' m^2
End Property


Public Property Get mks_horsepower() As Double
  mks_horsepower = 745.7   ' kg m^2 / s^3
End Property


Public Property Get mks_hour() As Double
  mks_hour = 3600# ' s
End Property


Public Property Get mks_inch() As Double
  mks_inch = 0.0254  ' m
End Property


Public Property Get mks_inch_of_mercury() As Double
  mks_inch_of_mercury = 3386.38815789   ' kg / m s^2
End Property


Public Property Get mks_inch_of_water() As Double
  mks_inch_of_water = 249.0889   ' kg / m s^2
End Property


Public Property Get mks_joule() As Double
  mks_joule = 1#  ' kg m^2 / s^2
End Property


Public Property Get mks_kilometers_per_hour() As Double
  mks_kilometers_per_hour = 0.277777777778   ' m / s
End Property


Public Property Get mks_kilopound_force() As Double
  mks_kilopound_force = 4448.22161526   ' kg m / s^2
End Property


Public Property Get mks_knot() As Double
  mks_knot = 0.514444444444   ' m / s
End Property


Public Property Get mks_lambert() As Double
  mks_lambert = 10000# ' cd sr / m^2
End Property


Public Property Get mks_light_year() As Double
  mks_light_year = 9.46053620707E+15 ' m
End Property


Public Property Get mks_liter() As Double
  mks_liter = 0.001 ' m^3
End Property


Public Property Get mks_lumen() As Double
  mks_lumen = 1#  ' cd sr
End Property


Public Property Get mks_lux() As Double
  mks_lux = 1#  ' cd sr / m^2
End Property


Public Property Get mks_mass_electron() As Double
  mks_mass_electron = 9.10938188E-31 ' kg
End Property


Public Property Get mks_mass_muon() As Double
  mks_mass_muon = 1.88353109E-28 ' kg
End Property


Public Property Get mks_mass_neutron() As Double
  mks_mass_neutron = 1.67492716E-27 ' kg
End Property


Public Property Get mks_mass_proton() As Double
  mks_mass_proton = 1.67262158E-27 ' kg
End Property


Public Property Get mks_meter_of_mercury() As Double
  mks_meter_of_mercury = 133322.368421   ' kg / m s^2
End Property


Public Property Get mks_metric_ton() As Double
  mks_metric_ton = 1000# ' kg
End Property


Public Property Get mks_micron() As Double
  mks_micron = 0.000001 ' m
End Property


Public Property Get mks_mil() As Double
  mks_mil = 0.0000254 ' m
End Property


Public Property Get mks_mile() As Double
  mks_mile = 1609.344   ' m
End Property


Public Property Get mks_miles_per_hour() As Double
  mks_miles_per_hour = 0.44704   ' m / s
End Property


Public Property Get mks_minute() As Double
  mks_minute = 60# ' s
End Property


Public Property Get mks_molar_gas() As Double
  mks_molar_gas = 8.314472   ' kg m^2 / k mol s^2
End Property


Public Property Get mks_nautical_mile() As Double
  mks_nautical_mile = 1852#   ' m
End Property


Public Property Get mks_newton() As Double
  mks_newton = 1#  ' kg m / s^2
End Property


Public Property Get mks_nuclear_magneton() As Double
  mks_nuclear_magneton = 5.05078317E-27 ' a m^2
End Property


Public Property Get mks_ounce_mass() As Double
  mks_ounce_mass = 0.028349523125  ' kg
End Property


Public Property Get mks_parsec() As Double
  mks_parsec = 3.08567758135E+16 ' m
End Property


Public Property Get mks_phot() As Double
  mks_phot = 10000# ' cd sr / m^2
End Property


Public Property Get mks_pint() As Double
  mks_pint = 0.000473176473002 ' m^3
End Property


Public Property Get mks_plancks_constant_h() As Double
  mks_plancks_constant_h = 6.62606876E-34 ' kg m^2 / s
End Property


Public Property Get mks_plancks_constant_hbar() As Double
  mks_plancks_constant_hbar = 1.05457159642E-34 ' kg m^2 / s
End Property


Public Property Get mks_point() As Double
  mks_point = 0.000352777777778 ' m
End Property


Public Property Get mks_poise() As Double
  mks_poise = 0.1  ' kg m^-1 s^-1
End Property


Public Property Get mks_pound_force() As Double
  mks_pound_force = 4.44822161526   ' kg m / s^2
End Property


Public Property Get mks_pound_mass() As Double
  mks_pound_mass = 0.45359237   ' kg
End Property


Public Property Get mks_poundal() As Double
  mks_poundal = 0.138255   ' kg m / s^2
End Property


Public Property Get mks_proton_magnetic_moment() As Double
  mks_proton_magnetic_moment = 1.410606633E-26 ' a m^2
End Property


Public Property Get mks_psi() As Double
  mks_psi = 6894.75729317   ' kg / m s^2
End Property


Public Property Get mks_quart() As Double
  mks_quart = 0.000946352946004 ' m^3
End Property


Public Property Get mks_rad() As Double
  mks_rad = 0.01 ' m^2 / s^2
End Property


Public Property Get mks_roentgen() As Double
  mks_roentgen = 0.000258 ' a s / kg
End Property


Public Property Get mks_rydberg() As Double
  mks_rydberg = 2.17987190389E-18 ' kg m^2 / s^2
End Property


Public Property Get mks_solar_mass() As Double
  mks_solar_mass = 1.98892E+30 ' kg
End Property


Public Property Get mks_speed_of_light() As Double
  mks_speed_of_light = 299792458#   ' m / s
End Property


Public Property Get mks_standard_gas_volume() As Double
  mks_standard_gas_volume = 0.022710981  ' m^3 / mol
End Property


Public Property Get mks_std_atmosphere() As Double
  mks_std_atmosphere = 101325#   ' kg / m s^2
End Property


Public Property Get mks_stilb() As Double
  mks_stilb = 10000# ' cd / m^2
End Property


Public Property Get mks_stokes() As Double
  mks_stokes = 0.0001 ' m^2 / s
End Property


Public Property Get mks_tablespoon() As Double
  mks_tablespoon = 1.47867647813E-05 ' m^3
End Property


Public Property Get mks_teaspoon() As Double
  mks_teaspoon = 4.92892159375E-06 ' m^3
End Property


Public Property Get mks_texpoint() As Double
  mks_texpoint = 0.000351459803515 ' m
End Property


Public Property Get mks_therm() As Double
  mks_therm = 105506000# ' kg m^2 / s^2
End Property


Public Property Get mks_ton() As Double
  mks_ton = 907.18474   ' kg
End Property


Public Property Get mks_torr() As Double
  mks_torr = 133.322368421   ' kg / m s^2
End Property


Public Property Get mks_troy_ounce() As Double
  mks_troy_ounce = 0.031103475  ' kg
End Property


Public Property Get mks_uk_gallon() As Double
  mks_uk_gallon = 0.004546092 ' m^3
End Property


Public Property Get mks_uk_ton() As Double
  mks_uk_ton = 1016.0469088   ' kg
End Property


Public Property Get mks_unified_atomic_mass() As Double
  mks_unified_atomic_mass = 1.66053873E-27 ' kg
End Property


Public Property Get mks_us_gallon() As Double
  mks_us_gallon = 0.00378541178402 ' m^3
End Property


Public Property Get mks_vacuum_permeability() As Double
  mks_vacuum_permeability = 1.25663706144E-06 ' kg m / a^2 s^2
End Property


Public Property Get mks_vacuum_permittivity() As Double
  mks_vacuum_permittivity = 8.854187817E-12 ' a^2 s^4 / kg m^3
End Property


Public Property Get mks_week() As Double
  mks_week = 604800# ' s
End Property


Public Property Get mks_yard() As Double
  mks_yard = 0.9144   ' m
End Property


